/***************************************************************************
*                 _                                _                       *
*                /_\         Chess Board          /_\                      *
*                \_/      -------------------     \_/                      *
*                /_\            Engine            /_\                      *
*                |_|      -------------------     |_|                      *
*               /___\      GNU GPL Version 2     /___\                     *
*                                                                          *
***************************************************************************/
#ifndef ENGINE_H_
#define ENGINE_H_
/* Header Files */
#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <curses.h>
#include <unistd.h>

/* Define */
#define H  11
#define A  11
#define D  -7
#define C   7
#define E  12

/* Define C */
#define C0  0
#define C1  1
#define C2  2
#define C4  4
#define C8  8

/*---------------------------------------------------------------------------*/

/* Sort */
short int F1, F2, L1, L2;
/* Move */
char amove[C];
char emove[20];
/* Board */
char matrix[H][C2][C2][C2];

/*---------------------------------------------------------------------------*/

/* Function */
void engine(int T1,int T2);
void king(int T1,int T2);
void queen(int T1,int T2);
void turm(int T1,int T2);
void springer(int T1,int T2);
void bishop(int T1,int T2);
void people1(int T1,int T2);
void people2(int T1,int T2);
void sort(char *nmove);

/*---------------------------------------------------------------------------*/

#endif
